Index: /trunk/umn/alkis/layer/ax_punktortag.map
===================================================================
--- /trunk/umn/alkis/layer/ax_punktortag.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_punktortag.map	(revision 9)
@@ -18,4 +18,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "PunktortAG"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_gebaeude.map
===================================================================
--- /trunk/umn/alkis/layer/ax_gebaeude.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_gebaeude.map	(revision 9)
@@ -19,4 +19,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "GebÃ€ude"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_besonderegebaeudelinie.map
===================================================================
--- /trunk/umn/alkis/layer/ax_besonderegebaeudelinie.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_besonderegebaeudelinie.map	(revision 9)
@@ -17,4 +17,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "Besondere Gebaeudelinie"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_wohnbauflaeche.map
===================================================================
--- /trunk/umn/alkis/layer/ax_wohnbauflaeche.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_wohnbauflaeche.map	(revision 9)
@@ -18,4 +18,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "WohnbauflÃ€che"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_flaechebesondererfunktionalerpraegung.map
===================================================================
--- /trunk/umn/alkis/layer/ax_flaechebesondererfunktionalerpraegung.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_flaechebesondererfunktionalerpraegung.map	(revision 9)
@@ -18,4 +18,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "FlÃ€che besonderer funktionaler PrÃ€gung"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_punktortta.map
===================================================================
--- /trunk/umn/alkis/layer/ax_punktortta.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_punktortta.map	(revision 9)
@@ -18,4 +18,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "PunktortTA"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_punktortau.map
===================================================================
--- /trunk/umn/alkis/layer/ax_punktortau.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_punktortau.map	(revision 9)
@@ -21,4 +21,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "PunktortAU"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_besondereflurstuecksgrenze.map
===================================================================
--- /trunk/umn/alkis/layer/ax_besondereflurstuecksgrenze.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_besondereflurstuecksgrenze.map	(revision 9)
@@ -18,4 +18,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "Besondere FlurstÃŒcksgrenze"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_landwirtschaft.map
===================================================================
--- /trunk/umn/alkis/layer/ax_landwirtschaft.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_landwirtschaft.map	(revision 9)
@@ -20,4 +20,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "Landwirtschaft"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_sportfreizeitunderholungsflaeche.map
===================================================================
--- /trunk/umn/alkis/layer/ax_sportfreizeitunderholungsflaeche.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_sportfreizeitunderholungsflaeche.map	(revision 9)
@@ -17,4 +17,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "Sport-, Freizeit- und ErholungsflÃ€che"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_bauteil.map
===================================================================
--- /trunk/umn/alkis/layer/ax_bauteil.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_bauteil.map	(revision 9)
@@ -18,4 +18,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "Bauteil(GebÃ€ude)"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_industrieundgewerbeflaeche.map
===================================================================
--- /trunk/umn/alkis/layer/ax_industrieundgewerbeflaeche.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_industrieundgewerbeflaeche.map	(revision 9)
@@ -17,4 +17,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "Industrie- und GewerbeflÃ€che"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_wald.map
===================================================================
--- /trunk/umn/alkis/layer/ax_wald.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_wald.map	(revision 9)
@@ -17,4 +17,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "Wald"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_flurstueck.map
===================================================================
--- /trunk/umn/alkis/layer/ax_flurstueck.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_flurstueck.map	(revision 9)
@@ -18,4 +18,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "FlurstÃŒck"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_strassenverkehr.map
===================================================================
--- /trunk/umn/alkis/layer/ax_strassenverkehr.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_strassenverkehr.map	(revision 9)
@@ -18,4 +18,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "StraÃenverkehr"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ap_pto.map
===================================================================
--- /trunk/umn/alkis/layer/ap_pto.map	(revision 8)
+++ /trunk/umn/alkis/layer/ap_pto.map	(revision 9)
@@ -27,4 +27,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "ap_pto"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_platz.map
===================================================================
--- /trunk/umn/alkis/layer/ax_platz.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_platz.map	(revision 9)
@@ -18,4 +18,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "Platz"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_fliessgewaesser.map
===================================================================
--- /trunk/umn/alkis/layer/ax_fliessgewaesser.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_fliessgewaesser.map	(revision 9)
@@ -23,4 +23,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "FlieÃgewÃ€sser"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END
Index: /trunk/umn/alkis/layer/ax_gehoelz.map
===================================================================
--- /trunk/umn/alkis/layer/ax_gehoelz.map	(revision 8)
+++ /trunk/umn/alkis/layer/ax_gehoelz.map	(revision 9)
@@ -17,4 +17,5 @@
 		"WMS_SRS" "epsg:25832"
 		"WMS_TITLE" "GehÃ¶lz"
+		"WMS_ENCODING" "UTF-8"
 		"gml_include_items" "all"
 	END	