Index: trunk/var/www/info/alkis/alkisbestnw.php
===================================================================
--- trunk/var/www/info/alkis/alkisbestnw.php	(revision 43)
+++ trunk/var/www/info/alkis/alkisbestnw.php	(revision 45)
@@ -6,11 +6,9 @@
 	06.09.2010  Schluessel anschaltbar
 	08.09.2010  berechtigte GB-BlÃ€tter an fiktivem Blatt auflisten
-
-ToDo:	Berechtigte GrundbÃŒcher auflisten, z.B. wenn es auch ein Erbbaurecht gibt
-		analog zu fiktives Blatt
-
+	14.09.2010  Grundbuch unter Flurstueck, BVNR in Tabelle anzeigen und als Sprungmarke
+	15.09.2010  Function "buchungsart" durch JOIN ersetzt
+		
 	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
 	Bestandsnachweis fuer ein Grundbuch aus ALKIS PostNAS
-	Parameter:	&gkz= &gmlid
 */
 //ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
@@ -25,5 +23,5 @@
 <html>
 <head>
-	<meta name="author" content="Frank Jaeger" >
+	<meta name="author" content="b600352" >
 	<meta http-equiv="cache-control" content="no-cache">
 	<meta http-equiv="pragma" content="no-cache">
@@ -79,4 +77,5 @@
 	$blattkey=$row["blattart"]; // Schluessel
 	$blattart=blattart($blattkey);
+
 	// Balken	
 	echo "<p class='gbkennz'>ALKIS Bestand ".$row["bezirk"]." - ".$row["nr"]."&nbsp;</p>\n";
@@ -109,4 +108,5 @@
 			echo "\n\t</tr>";
 		echo "\n\t</table>";
+
 		echo "\n\n\t</td>\n\t<td>";
 		if ($idanzeige) {linkgml($gkz, $gmlid, "Buchungsblatt");}
@@ -116,109 +116,9 @@
 if ($blattkey == 5000) { // fikt. Blatt
 	echo "\n<p>Keine Angaben zum Eigentum bei fiktivem Blatt.</p>\n";
-//	echo "\n<p>Siehe weitere Grundbuchbl&auml;tter mit Rechten an dem fiktiven Blatt.</p>\n";
-	
-	echo "\n<h3><img src='ico/Grundbuch_zu.ico' width='16' height='16' alt=''> Berechtigte Grundb&uuml;cher</h3>\n";
-
-	// b e r e c h t i g t e  Grundbuecher (Buchungsblatt) 
-	// mit Recht "an"/"zu" dem aktuellen fiktiven GB
-
-	$sql ="SELECT bb.gml_id, bb.land, bb.bezirk, bb.buchungsblattnummermitbuchstabenerweiterung AS blatt, bb.blattart, ";
-	$sql.="vs.beziehungsart, ";
-
-	$sql.=" bz.bezeichnung AS beznam, "; // Bezirk
-	$sql.=" ag.bezeichnung, ag.stelle, ag.stellenart "; // Amtsgericht
-
-	$sql.="FROM  alkis_beziehungen  vf ";											// Verbindung fiktiv
-	$sql.="JOIN  ax_buchungsstelle  sf  ON sf.gml_id=vf.beziehung_von ";	// Stelle fiktiv
-	$sql.="JOIN  alkis_beziehungen  vs  ON sf.gml_id=vs.beziehung_zu ";	// Verbindung Stellen
-	$sql.="JOIN  ax_buchungsstelle  sb  ON sb.gml_id=vs.beziehung_von "; // Stelle berechtigt
-	$sql.="JOIN  alkis_beziehungen  vb  ON sb.gml_id=vb.beziehung_von ";	// Verbindung berechtigt
-	$sql.="JOIN  ax_buchungsblatt   bb  ON bb.gml_id=vb.beziehung_zu ";	// Blatt berechtigt
-
-	$sql.="JOIN  ax_buchungsblattbezirk bz ON bb.land=bz.land AND bb.bezirk=bz.bezirk ";
-	$sql.="JOIN  ax_dienststelle ag ON bz.\"gehoertzu|ax_dienststelle_schluessel|land\"=ag.land AND bz.stelle=ag.stelle ";
-
-	$sql.="WHERE vf.beziehung_zu='".$gmlid."' ";
-	$sql.="AND  vf.beziehungsart='istBestandteilVon' ";
-	$sql.="AND (vs.beziehungsart='an' OR vs.beziehungsart='zu') ";
-	$sql.="AND  vb.beziehungsart= 'istBestandteilVon' ";
-	$sql.="ORDER BY bb.land, bb.bezirk, bb.buchungsblattnummermitbuchstabenerweiterung;";
-
-// +++ lfd-BVNR
-
-	$resb=pg_query($con,$sql);
-	if (!$resb) {
-		echo "<p class='err'>Fehler bei 'andere Berechtigte Bl&auml;tter:'<br>".$sql."</p>\n";
-	}
-
-	// Tabelle Kopf ausgeben
-	echo "\n<table class='outer'>";
-	echo "\n<tr>";
-		echo "\n\t<td class='head'>Land</td>";
-		echo "\n\t<td class='head'>Dienststelle</td>";
-		echo "\n\t<td class='head'>Bezirk</td>";
-		echo "\n\t<td class='head'>Blatt</td>";
-		echo "\n\t<td class='head'>Art</td>";
-		echo "\n\t<td class='head nwlink'>Weitere Auskunft</td>";
-	echo "\n</tr>";
-
-	$b=0; // count: Blaetter
-	while($rowb = pg_fetch_array($resb)) {
-		$gml_b=$rowb["gml_id"];  // id des berechtigten Blattes
-		echo "\n<tr>";
-			echo "\n\t<td>".$rowb["land"]."</td>";
-
-			echo "\n\t<td>"; // Amtsgericht
-				echo dienststellenart($rowb["stellenart"])." ";
-				if ($showkey) {				
-					echo "<span class='key'>".$rowb["stelle"]."</span> ";
-				}
-				echo $rowb["bezeichnung"];
-			echo "</td>";
-
-
-			echo "\n\t<td>";
-				if ($showkey) {				
-					echo "<span class='key'>".$rowb["bezirk"]."</span> ";
-				}
-				echo $rowb["beznam"];
-			echo "</td>";
-			
-			echo "\n\t<td><span class='wichtig'>".$rowb["blatt"]."</span>";
-				if ($idanzeige) {linkgml($gkz, $gml_b, "Buchungsblatt");}
-			echo "</td>";
-
-			echo "\n\t<td>";
-				$bart=$rowb["blattart"];
-				if ($showkey) {
-					echo "<span class='key'>".$bart."</span> ";
-				}
-				echo blattart($bart);
-			echo "</td>";
-			
-			echo "\n\t<td>";
-				echo "\n\t\t<p class='nwlink'>";
-			//	echo $rowb["beziehungsart"]." "; // "an"/"zu" ?
-				echo "\n\t\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$gml_b;
-					if ($idanzeige) {echo "&amp;id=j";}
-					if ($showkey)   {echo "&amp;showkey=j";}
-					echo "' title='GB-Nachweis des berechtigten Blattes ".$rowb["beziehungsart"]." dem fiktiven Blatt'>";
-					//echo "Grundbuch-Blatt";
-					echo blattart($bart);
-					echo " \n\t\t\t<img src='ico/GBBlatt_link.ico' width='16' height='16' alt=''></a>";
-				echo "\n\t\t</p>";
-			echo "</td>";
-		echo "\n</tr>";
-		$b++;
-	}
-	echo "\n</table>";
-	if ($b == 0) {
-		echo "<p class='err'>Keine berechtigten Bl&auml;tter zum fiktiven Blatt gefunden.</p>";
-	}
-
 } else { // E I G E N T U E M E R
-
 	echo "\n<h3><img src='ico/Eigentuemer_2.ico' width='16' height='16' alt=''> Angaben zum Eigentum</h3>\n";
+
 	$n = eigentuemer($con, $gkz, $idanzeige, $gmlid, true); // hier mit Adressen
+
 	if ($n == 0) { // keine Namensnummer, kein Eigentuemer
 		echo "\n<p class='err'>Keine Namensnummer gefunden.</p>";
@@ -227,17 +127,26 @@
 	}
 }
-$res="";
-$row="";
-
-echo "\n<hr>\n\n<h3><img src='ico/Flurstueck.ico' width='16' height='16' alt=''> Flurst&uuml;cke</h3>";
+
+echo "\n<hr>\n\n<h3><img src='ico/Flurstueck.ico' width='16' height='16' alt=''> Rechte und Flurst&uuml;cke</h3>";
 echo "\n<table class='fs'>";
-// Kopf der Tabelle
+
+// 2 Kopfzeilen der Tabelle
 echo "\n<tr>";
-	echo "\n\t<td class='head' title='laufende Nummer Bestandsverzeichnis (BVNR) = Grundst&uuml;ck'>lfd.Nr</td>";
+	echo "\n\t<td title='laufende Nummer Bestandsverzeichnis (BVNR) = Grundst&uuml;ck'><span class='wichtig'>BVNR</span></td>";
+	echo "\n\t<td class='dien' title='herrschendes Grundst&uuml;ck'>herrschende Buchungsart</td>";
+	echo "\n\t<td></td>";
+	echo "\n\t<td class='dien'>Bezirk</td>";
+	echo "\n\t<td class='dien'>Blatt</td>";
+	echo "\n\t<td class='dien'>BVNR</td>";
+	echo "\n\t<td class='dien' title='dienendes Grundst&uuml;ck'>Buchungsart</td>";
+	echo "\n\t<td></td>";
+echo "\n</tr>";
+echo "\n<tr>";
+	echo "\n\t<td class='head'>&nbsp;</td>";
 	echo "\n\t<td class='head'>Buchungsart</td>";	//2
 	echo "\n\t<td class='head'>Anteil</td>";
 	echo "\n\t<td class='head'>Gemarkung</td>";		//4
 	echo "\n\t<td class='head'>Flur</td>";				//5
-	echo "\n\t<td class='head' title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'>Flurst.</td>";
+	echo "\n\t<td class='head' title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>Flurst.</span></td>";
 	echo "\n\t<td class='head fla'>Fl&auml;che</td>"; // 7
 	echo "\n\t<td class='head nwlink' title='Link: weitere Auskunft'>weit. Auskunft</td>";
@@ -245,9 +154,10 @@
 
 // Blatt ->  B u c h u n g s s t e l l e
-// ax_buchungsblatt   >bestehtAus>         ax_buchungsstelle 
 // ax_buchungsblatt   <istBestandteilVon<  ax_buchungsstelle 
-$sql ="SELECT s.gml_id, s.buchungsart, s.laufendenummer AS lfd, s.beschreibungdesumfangsderbuchung AS udb, s.zaehler, s.nenner, s.nummerimaufteilungsplan AS nrap, s.beschreibungdessondereigentums AS sond ";
+$sql ="SELECT s.gml_id, s.buchungsart, s.laufendenummer AS lfd, s.beschreibungdesumfangsderbuchung AS udb, ";
+$sql.="s.zaehler, s.nenner, s.nummerimaufteilungsplan AS nrap, s.beschreibungdessondereigentums AS sond, b.bezeichner as bart ";
 $sql.="FROM  ax_buchungsstelle s ";
 $sql.="JOIN  alkis_beziehungen v ON s.gml_id=v.beziehung_von "; 
+$sql.="LEFT JOIN ax_buchungsstelle_buchungsart b ON s.buchungsart = b.wert ";
 $sql.="WHERE v.beziehung_zu='".$gmlid."' ";
 $sql.="AND   v.beziehungsart='istBestandteilVon' ";
@@ -260,5 +170,6 @@
 	$bvnr   = str_pad($lfdnr, 4, "0", STR_PAD_LEFT);
 	$gml_bs = $row["gml_id"]; // id der buchungsstelle
-	$ba     = buchungsart($row["buchungsart"]);
+	$ba     = $row["bart"]; // Buchungsart aus Schluesseltabelle
+
 	if ($row["zaehler"] == "") {
 		$anteil = "";
@@ -279,10 +190,11 @@
 		//  ax_buchungsstelle  >an>  ax_buchungsstelle (anderes Blatt, z.B Erbbaurecht an)
 
-		// aktuelles Blatt hat Recht "an" fiktives Blatt	
+		// aktuelles Blatt (herrschendes GB) hat Recht "an" fiktives Blatt (dienendes GB-Blatt)
 		// a n d e r e  Buchungsstelle
 		$sql ="SELECT s.gml_id, s.buchungsart, s.laufendenummer AS lfd, s.beschreibungdesumfangsderbuchung AS udb, ";
-		$sql.="v.beziehungsart, s.nummerimaufteilungsplan AS nrap, s.beschreibungdessondereigentums AS sond ";
+		$sql.="v.beziehungsart, s.nummerimaufteilungsplan AS nrap, s.beschreibungdessondereigentums AS sond, b.bezeichner AS bart ";
 		$sql.="FROM  ax_buchungsstelle s ";
 		$sql.="JOIN  alkis_beziehungen v ON s.gml_id=v.beziehung_zu "; 
+		$sql.="LEFT JOIN ax_buchungsstelle_buchungsart b ON s.buchungsart = b.wert ";
 		$sql.="WHERE v.beziehung_von='".$gml_bs."' "; // id buchungsstelle (fiktives Blatt)
 		$sql.="AND   (v.beziehungsart='an' OR v.beziehungsart='zu') ";
@@ -296,9 +208,10 @@
 		$altbvnr=""; // Gruppenwechsel
 		while($rowan = pg_fetch_array($resan)) {
-			$lfdnran = $rowan["lfd"];
-			$gml_bsan= $rowan["gml_id"]; // id der buchungsstelle
-			$baan=buchungsart($rowan["buchungsart"]);
+			$lfdnran = $rowan["lfd"];		// BVNR an
+			$gml_bsan= $rowan["gml_id"];	// id der buchungsstelle an
+			$baan= $rowan["bart"];  		// Buchungsart an, entschluesselt
 
 			// a n d e r e s   B l a t t  (an dem das aktuelle Blatt Rechte hat)
+			// dienendes Grundbuch
 			$sql ="SELECT b.gml_id, b.land, b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung AS blatt, b.blattart, z.bezeichnung AS beznam ";
 			$sql.="FROM  ax_buchungsblatt  b ";
@@ -327,16 +240,25 @@
 			// G r u n d b u c h d a t e n  zur  a n d e r e n  Buchungsstelle
 			echo "\n<tr>";
+
 				echo"\n\t<td>";			
 					if($bvnr == $altbvnr) {	// gleiches Grundstueck
 						echo "&nbsp;"; // Anzeige unterdruecken
 					} else {
+						echo "<a name='bvnr".$lfdnr."'></a>"; // Sprungmarke				
 						echo "<span class='wichtig'>".$bvnr."</span>"; // Sp.1 Erbbau BVNR
-						if ($idanzeige) linkgml($gkz, $gml_bs, "Buchungsstelle");
+						if ($idanzeige) {linkgml($gkz, $gml_bs, "Buchungsstelle");}
 						$altbvnr = $bvnr; // Gruppenwechsel merken
 					}			
 				echo "</td>";
-				echo "\n\t<td class='dien'>".$ba." an</td>"; // Sp.2 Buchung
+
+				echo "\n\t<td class='dien'>"; // Sp.2 Buchung
+					if ($showkey) {					
+						echo "<span class='key'>".$row["buchungsart"]."</span> ";
+					}
+				echo $ba." an</td>";
+
 				echo "\n\t<td>".$anteil."</td>"; // Sp.3 Anteil
-				echo "\n\t<td class='dien'>Bezirk "; // Sp.4 Gemarkg. hier Bezirk
+
+				echo "\n\t<td class='dien'>"; // Sp.4 Gemarkg. hier Bezirk
 					if ($showkey) {					
 						echo "<span class='key'>".$fbbez."</span> ";
@@ -344,7 +266,24 @@
 					echo $beznam;
 				echo "</td>"; // Sp.4 hier Bezirk
-				echo "\n\t<td>&nbsp;</td>";
-				echo "\n\t<td class='dien'>Blatt ".$fbblatt."</td>"; // Sp.6 Flurst, hier Blatt
-				echo "\n\t<td>&nbsp;</td>"; // Sp.7 Flaeche
+
+				echo "\n\t<td class='dien'>"; // Sp. 5 Blatt
+					echo $fbblatt; // Sp.6 BVNR
+					if ($idanzeige) {
+						linkgml($gkz, $fbgml, "Buchungsblatt");
+					}
+				echo "</td>";
+
+				echo "\n\t<td class='dien'>"; // BVNR
+					echo str_pad($lfdnran, 4, "0", STR_PAD_LEFT);
+					// id ?
+				echo "</td>"; 
+
+				echo "\n\t<td class='dien'>"; // Sp.7 Buchungsart
+					if ($showkey) {
+						echo "<span class='key'>".$rowan["buchungsart"]."</span> ";
+					}
+					echo $baan." ";					
+				echo "</td>";
+
 				echo "\n\t<td>";  // Sp.8 Link ("an" oder "zu" ?)
 					echo "<p class='nwlink'>".$rowan["beziehungsart"];
@@ -352,14 +291,18 @@
 						if ($idanzeige) {echo "&amp;id=j";}
 						if ($showkey)   {echo "&amp;showkey=j";}
+						echo "#bvnr".$lfdnran; // Sprungmarke auf der Seite
 						echo "' title='Grundbuchnachweis des dienenden Blattes'>";
 						echo $fbbart;
 					echo " <img src='ico/GBBlatt_link.ico' width='16' height='16' alt=''></a></p>";
 				echo "</td>";
+
 			echo "\n</tr>"; 
 
 			// F l u r s t u e c k s d a t e n  zur  a n d e r e n  Buchungsstelle
-		   $aj = bnw_fsdaten($con, $gkz, $idanzeige, $lfdnran, $gml_bsan, $baan, $anteil, false); // return = Anzahl der FS
+		//	$aj = bnw_fsdaten($con, $gkz, $idanzeige, $lfdnran, $gml_bsan, $baan, $anteil, false);
+			// Buchungsart wird nur in erster Zeile ausgegeben, hier leer		
+		   $aj = bnw_fsdaten($con, $gkz, $idanzeige, $lfdnran, $gml_bsan, "", $anteil, false); // return = Anzahl der FS
+			
 			// +++ Gibt es ueberhaupt Sondereigentum beim fiktiven Blatt??
-
 			if ($rowan["nrap"] != "") {
 				echo "\n<tr>";
@@ -374,7 +317,26 @@
 
 			$a++;
-			if ($aj == 0) { // keine Flurstuecke gefunden
-				echo "\n<tr>\n\t<td colspan=8><p class='err'>keine Flurst&uuml;cke zu anderer Buchung gefunden</p></td>\n<tr>";
-				linkgml($gkz, $gml_bsan, "Buchungsstelle");
+			if ($aj == 0) { // KEINE Flurstuecke gefunden
+				echo "\n<tr>"; // die Buchung ausgeben, auch ohne Flurstuecke
+					echo"\n\t<td>";
+						if ($idanzeige) {linkgml($gkz, $gml_bsan, "Buchungsstelle");}			
+					echo "</td>";
+
+					echo "\n\t<td>"; // Sp.2 Buchung
+						if ($showkey) {					
+							echo "<span class='key'>".$rowan["buchungsart"]."</span> ";
+						}
+						echo $baan;
+					echo "</td>"; 
+
+					echo "\n\t<td></td>"; // Sp.3 Anteil
+
+					echo "\n\t<td colspan=4>"; // Gemarkg, Flur, Flurst, Flaeche
+						echo "<p class='warn'>(keine Flurst&uuml;cke)";					
+					echo "</td>";
+
+					echo "\n\t<td></td>";  // Sp.8 Link ("an" oder "zu" ?)
+
+				echo "\n</tr>"; 
 			}
 		}
@@ -387,5 +349,4 @@
 				echo "</td>";
 				echo "\n\t<td colspan=7>";
-					//echo "<p class='err'>Zu dieser Buchungsstelle kein Flurst&uuml;ck und keine andere Buchungstelle ('an', 'zu') gefunden.</p>";
 					echo "<p class='warn'>Flurst&uuml;cke zu ".$bvnr." nicht im Datenbestand.</p>";
 				echo "</td>";
@@ -407,12 +368,134 @@
 		echo "\n</tr>";
 	}
-
 } // Ende Buchungsstelle
 
 echo "\n</table>";
+
 if ($i == 0) {
 	echo "\n<p class='err'>Keine Buchung gefunden.</p>\n";
 	linkgml($gkz, $gmlid, "Buchungsblatt");
 }
+
+	// b e r e c h t i g t e  Grundbuecher (Buchungsblatt) 
+	// mit Recht "an"/"zu" dem aktuellen fiktiven GB
+
+	// bf              vf          sf       vs   sb                 vb            bb
+	// Blatt   <istBestandteilVon< Stelle  <an<  Stelle      >istBestandteilVon>  Blatt
+	// Fiktiv                      Fiktiv  <zu<  Berechtigt                       Berechtigt
+	$sql ="SELECT bb.gml_id, bb.land, bb.bezirk, bb.buchungsblattnummermitbuchstabenerweiterung AS blatt, bb.blattart, ";
+	$sql.="vs.beziehungsart, ";
+
+	$sql.="sb.gml_id AS gml_s, sb.laufendenummer AS lfdnr, sb.buchungsart, ba.bezeichner AS bart, ";  // berechtigte Buchungsstelle
+
+	$sql.=" bz.bezeichnung AS beznam, "; // Bezirk
+	$sql.=" ag.bezeichnung, ag.stelle, ag.stellenart "; // Amtsgericht
+
+	$sql.="FROM  alkis_beziehungen  vf ";											// Verbindung fiktiv
+	$sql.="JOIN  ax_buchungsstelle  sf  ON sf.gml_id = vf.beziehung_von ";	// Stelle fiktiv
+	$sql.="JOIN  alkis_beziehungen  vs  ON sf.gml_id = vs.beziehung_zu ";	// Verbindung Stellen
+	$sql.="JOIN  ax_buchungsstelle  sb  ON sb.gml_id = vs.beziehung_von "; // Stelle berechtigt
+	$sql.="JOIN  alkis_beziehungen  vb  ON sb.gml_id = vb.beziehung_von ";	// Verbindung berechtigt
+	$sql.="JOIN  ax_buchungsblatt   bb  ON bb.gml_id = vb.beziehung_zu ";	// Blatt berechtigt
+
+	$sql.="JOIN  ax_buchungsblattbezirk bz ON bb.land = bz.land AND bb.bezirk = bz.bezirk ";
+	$sql.="JOIN  ax_dienststelle ag ON bz.\"gehoertzu|ax_dienststelle_schluessel|land\" = ag.land AND bz.stelle=ag.stelle ";
+
+	$sql.="LEFT JOIN ax_buchungsstelle_buchungsart ba ON sb.buchungsart = ba.wert ";
+
+	$sql.="WHERE vf.beziehung_zu='".$gmlid."' ";
+	$sql.="AND  vf.beziehungsart='istBestandteilVon' ";
+	$sql.="AND (vs.beziehungsart='an' OR vs.beziehungsart='zu') ";
+	$sql.="AND  vb.beziehungsart= 'istBestandteilVon' ";
+	$sql.="ORDER BY bb.land, bb.bezirk, bb.buchungsblattnummermitbuchstabenerweiterung;";
+
+	$resb=pg_query($con,$sql);
+	if (!$resb) {
+		echo "<p class='err'>Fehler bei 'andere Berechtigte Bl&auml;tter:'<br>".$sql."</p>\n";
+	}
+
+	$b=0; // count: Blaetter
+	while($rowb = pg_fetch_array($resb)) {
+		if ($b == 0) { // Ueberschrift und Tabelle nur ausgeben, wenn etwas gefunden wurde
+
+			echo "\n<h3><img src='ico/Grundbuch_zu.ico' width='16' height='16' alt=''> Berechtigte Grundb&uuml;cher</h3>\n";
+			
+			// Tabelle Kopf ausgeben
+			echo "\n<table class='outer'>";
+			echo "\n<tr>";
+				echo "\n\t<td class='head'>Land</td>";
+				echo "\n\t<td class='head'>Dienststelle</td>";
+				echo "\n\t<td class='head'>Bezirk</td>";
+				echo "\n\t<td class='head'>Blatt</td>";
+				echo "\n\t<td class='head'>BVNR</td>"; // Neu
+				echo "\n\t<td class='head'>Buchungsart</td>"; // Neu
+				echo "\n\t<td class='head nwlink'>Weitere Auskunft</td>";
+			echo "\n</tr>";
+		}
+
+		$gml_b=$rowb["gml_id"];			// id des berechtigten Blattes
+		$gml_s=$rowb["gml_s"];			// id der berechtigten Buchungsstelle
+		$blart=$rowb["blattart"];
+		$buch=$rowb["buchungsart"];	// Buchungsart Stelle berechtigt
+		$bart=$rowb["bart"];				// Buchungsart entschluesselt
+		$lfdnr=$rowb["lfdnr"];
+		$bvnr   = str_pad($lfdnr, 4, "0", STR_PAD_LEFT);
+		
+		echo "\n<tr>";
+			echo "\n\t<td>".$rowb["land"]."</td>";
+
+			echo "\n\t<td>"; // Amtsgericht
+				echo dienststellenart($rowb["stellenart"])." ";
+				if ($showkey) {				
+					echo "<span class='key'>".$rowb["stelle"]."</span> ";
+				}
+				echo $rowb["bezeichnung"];
+			echo "</td>";
+
+
+			echo "\n\t<td>";
+				if ($showkey) {				
+					echo "<span class='key'>".$rowb["bezirk"]."</span> ";
+				}
+				echo $rowb["beznam"];
+			echo "</td>";
+			
+			echo "\n\t<td><span class='wichtig'>".$rowb["blatt"]."</span>";
+				if ($idanzeige) {linkgml($gkz, $gml_b, "Buchungsblatt");}
+			echo "</td>";
+
+			echo "\n\t<td>".$bvnr;
+				if ($idanzeige) {linkgml($gkz, $gml_s, "Buchungsstelle");}
+			echo "</td>";
+
+			echo "\n\t<td>";
+				if ($showkey) {
+					echo "<span class='key'>".$buch."</span> ";
+				}
+				echo $bart;
+			echo "</td>";
+
+			echo "\n\t<td>";
+				echo "\n\t\t<p class='nwlink'>";
+			//	echo $rowb["beziehungsart"]." "; // "an"/"zu" ?
+				echo "\n\t\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$gml_b."#bvnr".$lfdnr;
+					if ($idanzeige) {echo "&amp;id=j";}
+					if ($showkey)   {echo "&amp;showkey=j";}
+					echo "' title='Nachweis des berechtigten Blattes ".$rowb["beziehungsart"]." ".$blattart."'>";
+					echo blattart($blart);
+					echo " \n\t\t\t<img src='ico/GBBlatt_link.ico' width='16' height='16' alt=''></a>";
+				echo "\n\t\t</p>";
+			echo "</td>";
+		echo "\n</tr>";
+		$b++;
+	}
+
+	if ($b == 0) {
+		if ($blattkey > 2000 ) { // Warnung nicht bei Grundbuchblatt 1000 und Katasterblatt 2000
+			echo "<p class='err'>Keine berechtigten Bl&auml;tter zu ".$blattart." (".$blattkey.") gefunden.</p>";
+		}
+	} else {
+		echo "\n</table>";
+	}
+
 ?>
 
@@ -425,5 +508,7 @@
 	</div>
 </form>
-<?php footer($gkz, $gmlid, $idanzeige, $self, $hilfeurl, "", $showkey); ?>
+
+<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $self, $hilfeurl, "", $showkey); ?>
+
 </body>
 </html>