Index: trunk/var/www/info/alkis/alkisinlaybaurecht.php
===================================================================
--- trunk/var/www/info/alkis/alkisinlaybaurecht.php	(revision 49)
+++ trunk/var/www/info/alkis/alkisinlaybaurecht.php	(revision 49)
@@ -0,0 +1,151 @@
+<?php
+/*	alkisinlaybaurecht.php - Inlay fuer Template: Baurecht
+	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
+
+	Version:
+	21.09.2010  Neu
+	22.09.2010  Feintuning, sql-Limit
+*/
+ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
+session_start();
+require_once("/data/conf/alkis_www_conf.php");
+if ($auth == "mapbender") {
+	require_once($mapbender);
+}
+?>
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta name="author" content="F. Jaeger krz" >
+	<meta http-equiv="cache-control" content="no-cache">
+	<meta http-equiv="pragma" content="no-cache">
+	<meta http-equiv="expires" content="0">
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<title>ALKIS Bau-, Raum- oder Bodenordnungsrecht</title>
+	<link rel="stylesheet" type="text/css" href="alkisauszug.css">
+	<link rel="shortcut icon" type="image/x-icon" href="ico/Gericht.ico">
+</head>
+<body>
+
+<?php
+$gkz=urldecode($_REQUEST["gkz"]);
+$gmlid=urldecode($_REQUEST["gmlid"]);
+$dbname = 'alkis05' . $gkz;
+$con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
+// wie View "baurecht"
+$sql ="SELECT r.ogc_fid,  r.artderfestlegung as adfkey, r.name, r.stelle, r.bezeichnung AS rechtbez, ";
+$sql.="a.bezeichner  AS adfbez, d.bezeichnung AS stellbez, d.stellenart, ";
+$sql.="round(st_area(r.wkb_geometry)::numeric,0) AS flae ";
+$sql.="FROM ax_bauraumoderbodenordnungsrecht r ";
+$sql.="LEFT JOIN ax_bauraumoderbodenordnungsrecht_artderfestlegung a ON r.artderfestlegung = a.wert ";
+$sql.="LEFT JOIN ax_dienststelle d ON r.land = d.land AND r.stelle = d.stelle ";
+$sql.="WHERE r.gml_id='".$gmlid."';";
+
+$res=pg_query($con,$sql);
+if (!$res) {
+	echo "\n<p class='err'>Fehler bei Baurecht:<br>";
+	echo "\n<br>SQL=<br>\n".$sql;
+	echo "\n</p>\n";
+}
+echo "\n<h2><img src='ico/Gericht.ico' width='16' height='16' alt=''> Bau-, Raum- oder Bodenordnungsrecht</h2>\n";
+
+if ($row = pg_fetch_array($res)) {
+	echo "\n<table>";
+
+		echo "\n<tr>";
+			echo "\n\t<td class='li'>Art der Festlegung:</td>\n\t<td><span class='key'>(".$row["adfkey"].")</span> ";
+			echo "<span class='wichtig'>".$row["adfbez"]."</span></td>";
+		echo "\n</tr>";
+
+		$enam=$row["name"];
+		if ($enam != "") {
+			echo "\n<tr>";		
+				echo "\n\t<td class='li'>Eigenname des Gebietes:</td>\n\t<td>".$enam."</td>";
+			echo "\n</tr>";
+		}	
+		echo "\n<tr>";
+			echo "\n\t<td class='li'>Verfahrensnummer:</td>";
+			echo "\n\t<td>".$row["rechtbez"]."</td>";
+		echo "\n</tr>";
+
+		$stell=$row["stelle"];
+		if ($stell != "") {
+			echo "\n<tr>";
+				echo "\n\t<td class='li'>Dienststelle:</td>\n\t<td><span class='key'>(".$stell.")</span> ".$row["stellbez"];
+				$stellart=$row["stellenart"];
+				if ($stellart != "") {
+					echo " (".$stellart.")"; // d.stellenart -- weiter entschluesseln
+				}		
+				echo "</td>";
+			echo "\n</tr>";
+		}
+
+		echo "\n<tr>";
+			echo "\n\t<td class='li'>Fl&auml;che:</td>";
+			$flae=number_format($row["flae"],0,",",".")." m&#178;";
+			echo "\n\t<td>".$flae."</td>";
+		echo "\n</tr>";
+
+	echo "\n</table>";
+} else {
+	echo "\n<p class='err'>Fehler! Kein Treffer bei gml_id=".$gmlid."</p>";
+}
+
+echo "\n<h2><img src='ico/Flurstueck.ico' width='16' height='16' alt=''> betroffene Flurst&uuml;cke</h2>\n";
+echo "\n<p>Ermittelt durch geometrische Verschneidung. Nach Gr&ouml;&szlig;e absteigend.</p>";
+
+$sql ="SELECT f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, ";
+$sql.="round(st_area(ST_Intersection(r.wkb_geometry,f.wkb_geometry))::numeric,1) AS schnittflae ";
+$sql.="FROM ax_flurstueck f, ax_bauraumoderbodenordnungsrecht r  ";
+$sql.="WHERE r.gml_id='".$gmlid."' "; 
+$sql.="AND st_intersects(r.wkb_geometry,f.wkb_geometry) = true ";
+$sql.="AND st_area(st_intersection(r.wkb_geometry,f.wkb_geometry)) > 0 ";
+$sql.="ORDER BY schnittflae DESC ";
+// Limit: Flurbereinigungsgebiete koennen sehr gross werden!
+$sql.="LIMIT 40;";
+// Trotz Limit lange Antwortzeit, wegen OrderBy -> intersection
+
+$res=pg_query($con,$sql);
+if (!$res) {
+	echo "\n<p class='err'>Keine Flurst&uuml;cke ermittelt.<br>\nSQL=<br></p>\n";
+	echo "\n<p class='err'>".$sql."</p>\n";
+}
+
+echo "\n<table class='fs'>";
+	echo "\n<tr>"; // Header
+		echo "\n\t<td class='head' title='Flur- und Flurst&uuml;cksnummer'>Flurst&uuml;ck</td>";
+		echo "\n\t<td class='head fla' title='geometrische Schnittfl&auml;che'>Fl&auml;che</td>";
+		echo "\n\t<td class='head fla' title='amtliche Flurst&uuml;cksfl&auml;che, Buchfl&auml;che'>von</td>";
+		echo "\n\t<td class='head nwlink' title='Link zum Flurst&uuml;ck'>weitere Auskunft</td>";
+	echo "\n</tr>";
+
+	$fscnt=0;
+	while($row = pg_fetch_array($res)) {	
+		$fscnt++;		
+		echo "\n<tr>";
+			echo "\n\t<td>".$row["flurnummer"]."-<span class='wichtig'>".$row["zaehler"];
+			$nen=$row["nenner"];
+			if ($nen != "") {
+				echo "/".$nen;
+			}
+			echo "</span></td>";
+			echo "\n\t<td class='fla'>".$row["schnittflae"]." m&#178;</td>"; 
+			echo "\n\t<td class='fla'>".$row["amtlicheflaeche"]." m&#178;</td>";
+			echo "\n\t<td class='nwlink noprint'>";
+				echo "\n\t\t<a target='_blank' href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$row["gml_id"]."&amp;eig=n";
+					echo "' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck ";
+					echo "\n\t\t\t<img src='ico/Flurstueck_Link.ico' width='16' height='16' alt=''>";
+				echo "\n\t\t</a>";
+			echo "\n\t</td>";
+		echo "\n</tr>";
+	}
+echo "\n</table>";
+
+if ($fscnt == 40) {
+	echo "<p>... und weitere Flurst&uuml;cke (Limit 40 erreicht).</0>";
+}
+
+?>
+
+</body>
+</html>
Index: trunk/var/www/info/alkis/alkisfsnw.php
===================================================================
--- trunk/var/www/info/alkis/alkisfsnw.php	(revision 45)
+++ trunk/var/www/info/alkis/alkisfsnw.php	(revision 49)
@@ -1,4 +1,8 @@
 <?php
 /*	Modul: alkisfsnw.php
+
+	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
+	FlurstÃŒcksnachweis fuer ein FlurstÃŒckskennzeichen aus ALKIS PostNAS
+
 	Version:
 	31.08.2010	$style=ALKIS entfernt, alles Kompakt
@@ -7,14 +11,14 @@
 	15.09.2010  Function "buchungsart" durch JOIN ersetzt
 
-	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
-	FlurstÃŒcksnachweis fuer ein FlurstÃŒckskennzeichen aus ALKIS PostNAS
-
-	ToDo: NamNum >bestehtAusRechtsverhaeltnissenZu> NamNum
+	ToDo: 
+	NamNum >bestehtAusRechtsverhaeltnissenZu> NamNum
 */
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
 session_start();
-// Bindung an Mapbender-Authentifizierung
-require_once("/data/mapwww/http/php/mb_validateSession.php");
 require_once("/data/conf/alkis_www_conf.php");
+if ($auth == "mapbender") {
+	// Bindung an Mapbender-Authentifizierung
+	require_once($mapbender);
+}
 include("alkisfkt.php");
 ?>
@@ -22,5 +26,5 @@
 <html>
 <head>
-	<meta name="author" content="b600352" >
+	<meta name="author" content="F. Jaeger krz" >
 	<meta http-equiv="cache-control" content="no-cache">
 	<meta http-equiv="pragma" content="no-cache">
@@ -181,4 +185,6 @@
 $bs=0; // Z.Buchungsstelle
 while($rows = pg_fetch_array($ress)) {
+	$gmls=$rows["gml_id"];
+	$lfd=$rows["lfd"]; // BVNR
 
 	// B U C H U N G S B L A T T  zur Buchungsstelle (istBestandteilVon)
@@ -188,5 +194,5 @@
 	$sql.="JOIN  ax_buchungsblatt       b ON v.beziehung_zu=b.gml_id ";
 	$sql.="JOIN  ax_buchungsblattbezirk z ON z.land=b.land AND z.bezirk=b.bezirk ";
-	$sql.="WHERE v.beziehung_von='".$rows["gml_id"]."' "; // id Buchungsstelle
+	$sql.="WHERE v.beziehung_von='".$gmls."' "; // id Buchungsstelle
 	$sql.="AND   v.beziehungsart='istBestandteilVon' ";
 	$sql.="ORDER BY b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung ;";
@@ -198,7 +204,9 @@
 	$bl=0; // Z.Blatt
 	while($rowg = pg_fetch_array($resg)) {
+		$gmlg=$rowg["gml_id"];
 		$beznam=$rowg["bezeichnung"];
 		$blattkeyg=$rowg["blattart"];
 		$blattartg=blattart($blattkeyg);
+
 		echo "\n<hr>";
 		echo "\n<table class='outer'>";
@@ -247,10 +255,10 @@
 			echo "\n<td>"; // Outer rechte Spalte: NW-Links
 				if ($idanzeige) {
-					linkgml($gkz, $rows["gml_id"], "Buchungsstelle");
+					linkgml($gkz, $gmls, "Buchungsstelle");
 					echo "<br>";
-					linkgml($gkz, $rowg["gml_id"], "Buchungsblatt");
+					linkgml($gkz, $gmlg, "Buchungsblatt");
 				}
 				echo "\n\t<p class='nwlink'>weitere Auskunft:<br>";
-					echo "\n\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowg[0];
+					echo "\n\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$gmlg."#bvnr".$lfd;
 						if ($idanzeige) {echo "&amp;id=j";}
 						if ($showkey)   {echo "&amp;showkey=j";}
@@ -277,10 +285,9 @@
 		// Person <-benennt< AX_Namensnummer  >istBestandteilVon-> AX_Buchungsblatt
 		if ($eig=="j") { // Wahlweise mit/ohne EigentÃŒmer
-			$gmlblatt = $rowg["gml_id"]; // id blatt
-			$n = eigentuemer($con, $gkz, $idanzeige, $gmlblatt, false); // hier aber ohne Adresse
+			$n = eigentuemer($con, $gkz, $idanzeige, $gmlg, false); // hier aber ohne Adresse
  			if ($n == 0) {
 				if ($blattkeyg == 1000) {
 					echo "\n<p class='err'>Keine Namensnummer gefunden.</p>";
-					linkgml($gkz, $rowg["gml_id"], "Buchungsblatt");
+					linkgml($gkz, $gmlg, "Buchungsblatt");
 				} else {
 					echo "\n<p>ohne Eigent&uuml;mer.</p>";
@@ -292,5 +299,5 @@
 	if ($bl == 0) {
 		echo "\n<p class='err'>Kein Buchungsblatt gefunden.</p>";
-		linkgml($gkz, $rows["gml_id"], "Buchungstelle");
+		linkgml($gkz, $gmls, "Buchungstelle");
 	}
 
@@ -307,5 +314,5 @@
 	$sql.="JOIN  ax_buchungsblattbezirk z ON z.land = b.land AND z.bezirk = b.bezirk ";
 	$sql.="JOIN  ax_buchungsstelle_buchungsart a ON s.buchungsart = a.wert ";
-	$sql.="WHERE an.beziehung_zu = '".$rows["gml_id"]."' "; // id herrschende Buchungsstelle
+	$sql.="WHERE an.beziehung_zu = '".$gmls."' "; // id herrschende Buchungsstelle
 	$sql.="AND   an.beziehungsart = 'an' ";
 	$sql.="AND   v.beziehungsart = 'istBestandteilVon' ";
@@ -399,6 +406,5 @@
 
 		if ($eig=="j") {
-			$gmlblatt = $rowan["g_gml"]; // id blatt
-			$n = eigentuemer($con, $gkz, $idanzeige, $gmlblatt, false, $showkey); // ohne Adresse
+			$n = eigentuemer($con, $gkz, $idanzeige, $rowan["g_gml"], false, $showkey); // ohne Adresse
 			// Anzahl $n kontrollieren? Warnen?
 		}
@@ -423,5 +429,5 @@
 </form>
 
-<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $self, $hilfeurl, "&amp;eig=".$eig, $showkey); ?>
+<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "&amp;eig=".$eig, $showkey); ?>
 
 </body>
Index: trunk/var/www/info/alkis/alkisauszug.css
===================================================================
--- trunk/var/www/info/alkis/alkisauszug.css	(revision 45)
+++ trunk/var/www/info/alkis/alkisauszug.css	(revision 49)
@@ -6,5 +6,5 @@
 	02.09.2010  Mit img
 	06.09.2010  Kennzeichen-Rahmenfarben differenziert
-	15.09.2010  ...
+	21.09.2010  Inlay
 */
 body	{background-color: #FDFFFD;}
@@ -127,5 +127,6 @@
 td.nam	{font-weight: bold;}
 td.gbl	{border-bottom: 1px dotted green;}	/* Name: GB-Liste */
-
+/* Inlay analog Template: linke Tabellenspalte - Feldname */
+td.li, td.gr {color:gray; padding-left:8px; padding-right:8px; border-bottom:0px; vertical-align:top;}
 /* dienendes GB in FS-Tab im Best-NW  */
 td.dien	{font-size: 9pt; font-style: italic; color: purple; border-bottom: 1px solid silver;}
@@ -142,4 +143,6 @@
 img	{border: 0px; margin: 0px;} /* Icons */
 
+iframe.inlay {border:0px; width: 100%;} /* height: 400px; */
+
 /* Seitenfuss */
 .buttonbereich	{font-size: 7pt;	text-align: right;}
Index: trunk/var/www/info/alkis/alkisrelationen.php
===================================================================
--- trunk/var/www/info/alkis/alkisrelationen.php	(revision 45)
+++ trunk/var/www/info/alkis/alkisrelationen.php	(revision 49)
@@ -1,7 +1,4 @@
 <?php
 /*	Modul: alkisrelationen.php
-	Version:
-	30.08.2010	$style=ALKIS entfernt, alles Kompakt
-	02.09.2010  Mit Icons
 
 	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
@@ -9,15 +6,22 @@
 	Link durch "&id=j;" in den anderen Modulen zuschaltbar.
 	Dies ist fuer die Entwicklung der Auskunft gedacht (Sonderfaelle) nicht fuer den Anwender.
+
+	Version:
+	30.08.2010	$style=ALKIS entfernt, alles Kompakt
+	02.09.2010  Mit Icons
+
 */
 ini_set('error_reporting', 'E_ALL');
 session_start();
-// Mapbender-Authentifizierung
-require_once("/data/mapwww/http/php/mb_validateSession.php");
 require_once("/data/conf/alkis_www_conf.php");
+if ($auth == "mapbender") {
+	// Bindung an Mapbender-Authentifizierung
+	require_once($mapbender);
+}
 ?>
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
 <head>
-	<meta name="author" content="b600352" >
+	<meta name="author" content="F. Jaeger krz" >
 	<meta http-equiv="cache-control" content="no-cache">
 	<meta http-equiv="pragma" content="no-cache">
@@ -84,4 +88,5 @@
 echo "\n<hr>\n<p class='nwlink'>\n\t<a target='_blank' href='".$hilfeurl."' title='Dokumentation'>Hilfe zur ALKIS-Auskunft</a>\n</p>\n";
 ?>
+
 </body>
 </html>
Index: trunk/var/www/info/alkis/alkisbestnw.php
===================================================================
--- trunk/var/www/info/alkis/alkisbestnw.php	(revision 45)
+++ trunk/var/www/info/alkis/alkisbestnw.php	(revision 49)
@@ -1,4 +1,8 @@
 <?php
 /*	Modul: alkisbestnw.php
+
+	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
+	Bestandsnachweis fuer ein Grundbuch aus ALKIS PostNAS
+
 	Version:
 	31.08.2010	$style=ALKIS entfernt, alles Kompakt
@@ -8,14 +12,16 @@
 	14.09.2010  Grundbuch unter Flurstueck, BVNR in Tabelle anzeigen und als Sprungmarke
 	15.09.2010  Function "buchungsart" durch JOIN ersetzt
-		
-	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
-	Bestandsnachweis fuer ein Grundbuch aus ALKIS PostNAS
+
+	ToDo:
+	Zahler fuer Anzahl GB und FS in der Liste (ausgeben wenn > 10)
 */
 //ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
 ini_set('error_reporting', 'E_ALL');
 session_start();
-// Bindung an Mapbender-Authentifizierung
-require_once("/data/mapwww/http/php/mb_validateSession.php");
 require_once("/data/conf/alkis_www_conf.php");
+if ($auth == "mapbender") {
+	// Bindung an Mapbender-Authentifizierung
+	require_once($mapbender);
+}
 include("alkisfkt.php");
 ?>
@@ -23,5 +29,5 @@
 <html>
 <head>
-	<meta name="author" content="b600352" >
+	<meta name="author" content="F. Jaeger krz" >
 	<meta http-equiv="cache-control" content="no-cache">
 	<meta http-equiv="pragma" content="no-cache">
@@ -276,5 +282,8 @@
 				echo "\n\t<td class='dien'>"; // BVNR
 					echo str_pad($lfdnran, 4, "0", STR_PAD_LEFT);
-					// id ?
+					if ($idanzeige) {
+						linkgml($gkz, $gml_bsan, "Buchungsstelle");
+					}	
+
 				echo "</td>"; 
 
@@ -317,27 +326,20 @@
 
 			$a++;
+			/*	Zeile ganz raus
 			if ($aj == 0) { // KEINE Flurstuecke gefunden
 				echo "\n<tr>"; // die Buchung ausgeben, auch ohne Flurstuecke
-					echo"\n\t<td>";
-						if ($idanzeige) {linkgml($gkz, $gml_bsan, "Buchungsstelle");}			
-					echo "</td>";
-
+					echo"\n\t<td></td>";
 					echo "\n\t<td>"; // Sp.2 Buchung
-						if ($showkey) {					
-							echo "<span class='key'>".$rowan["buchungsart"]."</span> ";
-						}
+						if ($showkey) {echo "<span class='key'>".$rowan["buchungsart"]."</span> ";}
 						echo $baan;
 					echo "</td>"; 
-
-					echo "\n\t<td></td>"; // Sp.3 Anteil
-
+					echo "\n\t<td></td>";
 					echo "\n\t<td colspan=4>"; // Gemarkg, Flur, Flurst, Flaeche
 						echo "<p class='warn'>(keine Flurst&uuml;cke)";					
 					echo "</td>";
-
-					echo "\n\t<td></td>";  // Sp.8 Link ("an" oder "zu" ?)
-
-				echo "\n</tr>"; 
-			}
+					echo "\n\t<td></td>";
+				echo "\n</tr>";			
+			} 
+			*/
 		}
 		if ($a == 0) {
@@ -509,5 +511,5 @@
 </form>
 
-<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $self, $hilfeurl, "", $showkey); ?>
+<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "", $showkey); ?>
 
 </body>
Index: trunk/var/www/info/alkis/alkisausk.php
===================================================================
--- trunk/var/www/info/alkis/alkisausk.php	(revision 45)
+++ trunk/var/www/info/alkis/alkisausk.php	(revision 49)
@@ -16,12 +16,13 @@
 		07.09.2010  Schluessel anschaltbar
 		15.09.2010  Function "buchungsart" durch JOIN ersetzt
+		17.09.2010  Authentifizierung Konfigurierbar
 */
 ini_set('error_reporting', 'E_ALL');
 session_start();
-// Bindung an Mapbender-Authentifizierung
-require_once("/data/mapwww/http/php/mb_validateSession.php");
-//require_once(dirname(__FILE__)."/../../../php/mb_validateSession.php");
 require_once("/data/conf/alkis_www_conf.php");
-//require_once(dirname(__FILE__)."/../../../../conf/alkis_conf.php");
+if ($auth == "mapbender") {
+	// Bindung an Mapbender-Authentifizierung
+	require_once($mapbender);
+}
 include("alkisfkt.php");
 ?>
@@ -29,5 +30,5 @@
 <html>
 <head>
-	<meta name="author" content="b600352" >
+	<meta name="author" content="F. Jaeger krz" >
 	<meta http-equiv="cache-control" content="no-cache">
 	<meta http-equiv="pragma" content="no-cache">
@@ -235,5 +236,6 @@
 }
 echo "\n<hr>";
-footer($gkz, $gmlid, $idumschalter, $idanzeige, $self, $hilfeurl, "", $showkey);
+
+footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "", $showkey);
 
 ?>
Index: trunk/var/www/info/alkis/alkisnamstruk.php
===================================================================
--- trunk/var/www/info/alkis/alkisnamstruk.php	(revision 45)
+++ trunk/var/www/info/alkis/alkisnamstruk.php	(revision 49)
@@ -1,4 +1,8 @@
 <?php
 /*	Modul: alkisnamstruk.php
+
+	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
+	Namens- und Adressdaten fuer einen Eigentuemer aus ALKIS PostNAS
+
 	Version:
 	30.08.2010	$style=ALKIS entfernt, alles Kompakt
@@ -7,14 +11,14 @@
 	15.09.2010  Function "buchungsart" durch JOIN ersetzt, Tabelle GB einzeilig
 
-	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
-	Namens- und Adressdaten fuer einen Eigentuemer aus ALKIS PostNAS
-
-	ToDo: Sortierung der Grundbücher zum Namen
+	ToDo: 
+	Sortierung der Grundbücher zum Namen
 */
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
 session_start();
-// Bindung an Mapbender-Authentifizierung
-require_once("/data/mapwww/http/php/mb_validateSession.php");
 require_once("/data/conf/alkis_www_conf.php");
+if ($auth == "mapbender") {
+	// Bindung an Mapbender-Authentifizierung
+	require_once($mapbender);
+}
 include("alkisfkt.php");
 ?>
@@ -22,5 +26,5 @@
 <html>
 <head>
-	<meta name="author" content="b600352" >
+	<meta name="author" content="F. Jaeger krz" >
 	<meta http-equiv="cache-control" content="no-cache">
 	<meta http-equiv="pragma" content="no-cache">
@@ -132,12 +136,12 @@
 	$sql.="JOIN  alkis_beziehungen bng ON n.gml_id=bng.beziehung_von ";
 	$sql.="JOIN  ax_buchungsblatt  g   ON bng.beziehung_zu=g.gml_id ";
-
 	$sql.="JOIN  ax_buchungsblattbezirk b ON g.land = b.land AND g.bezirk = b.bezirk ";
-
 	$sql.="WHERE bpn.beziehung_zu='".$gmlid."' ";
 	$sql.="AND   bpn.beziehungsart='benennt' AND bng.beziehungsart='istBestandteilVon' ";
-	$sql.="ORDER BY g.bezirk, g.buchungsblattnummermitbuchstabenerweiterung ;";
+	$sql.="ORDER BY g.bezirk, g.buchungsblattnummermitbuchstabenerweiterung;";
+	// buchungsblatt... mal mit und mal ohne fuehrende Nullen, bringt die Sortierung durcheinander
 
 	//echo "\n<p class='err'>".$sql."</p>\n";
+
 	$resg=pg_query($con,$sql);
 	if (!$resg) echo "\n<p class='err'>Fehler bei Grundbuch.<br>\nSQL= ".$sql."</p>\n";
@@ -235,5 +239,5 @@
 </form>
 
-<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $self, $hilfeurl, "", $showkey); ?>
+<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "", $showkey); ?>
 
 </body>
Index: trunk/var/www/info/alkis/alkisgebaeudenw.php
===================================================================
--- trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 45)
+++ trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 49)
@@ -4,17 +4,20 @@
 
 	Version:
-	27.08.2010 von WhereGroup uebernommen
-	31.08.2010 Link zum FS-NW, Lage
-	01.09.2010 RLP-Daten: keine Relation Nebengebaeude->LagePseudonummer
+	27.08.2010  von WhereGroup uebernommen
+	31.08.2010  Link zum FS-NW, Lage
+	01.09.2010  RLP-Daten: keine Relation Nebengebaeude->LagePseudonummer
 					Spalte lfd.-Nr raus wegen Verwechslungsgefhr mit lfd-Nr.-Nebengebaeuude
 	02.09.2010  Mit Icons
 	06.09.2010  Kennzeichen-Rahmenfarbe, Schluessel anschaltbar
 	15.09.2010  Function "buchungsart" durch JOIN ersetzt
+	21.09.2010  vergessenen Parameter &style und Kommentar entfernt
 */
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
 session_start();
-// Bindung an Mapbender-Authentifizierung
-require_once("/data/mapwww/http/php/mb_validateSession.php");
 require_once("/data/conf/alkis_www_conf.php");
+if ($auth == "mapbender") {
+	// Bindung an Mapbender-Authentifizierung
+	require_once($mapbender);
+}
 include("alkisfkt.php");
 ?>
@@ -22,5 +25,5 @@
 <html>
 <head>
-	<meta name="author" content="b600352" >
+	<meta name="author" content="F. Jaeger krz" >
 	<meta http-equiv="cache-control" content="no-cache">
 	<meta http-equiv="pragma" content="no-cache">
@@ -50,5 +53,4 @@
 	$showkey=false;
 }
-$style=isset($_GET["style"]) ? $_GET["style"] : "kompakt";
 $dbname = 'alkis05' . $gkz;
 $con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
@@ -255,9 +257,4 @@
 }
 
-// Diese Berechnung beruht auf der Annahme, dass alle gefundenen Gebaeude vollstaendig innerhalb
-// des Flurstuecks liegen. Fehler bei GebÃ€uden auf der Grenze.
-
-//echo "\n<p class='err'>".$sqlg."</p>\n";
-
 ?>
 <form action=''>
@@ -270,5 +267,5 @@
 </form>
 
-<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $self, $hilfeurl, "", $showkey); ?>
+<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "", $showkey); ?>
 
 </body>
Index: trunk/var/www/info/alkis/alkislage.php
===================================================================
--- trunk/var/www/info/alkis/alkislage.php	(revision 45)
+++ trunk/var/www/info/alkis/alkislage.php	(revision 49)
@@ -1,4 +1,5 @@
 <?php
 /*	alkislage.php
+
 	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
 	Kann die 3 Arten von Lagebezeichnung anzeigen und verbundene Objekte verlinken
@@ -12,7 +13,9 @@
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
 session_start();
-// Bindung an Mapbender-Authentifizierung
-require_once("/data/mapwww/http/php/mb_validateSession.php");
 require_once("/data/conf/alkis_www_conf.php");
+if ($auth == "mapbender") {
+	// Bindung an Mapbender-Authentifizierung
+	require_once($mapbender);
+}
 include("alkisfkt.php");
 ?>
@@ -20,5 +23,5 @@
 <html>
 <head>
-	<meta name="author" content="b600352" >
+	<meta name="author" content="F. Jaeger krz" >
 	<meta http-equiv="cache-control" content="no-cache">
 	<meta http-equiv="pragma" content="no-cache">
@@ -420,5 +423,5 @@
 </form>
 
-<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $self, $hilfeurl, "&amp;ltyp=".$ltyp , $showkey); ?>
+<?php footer($gkz, $gmlid, $idumschalter, $idanzeige, $_SERVER['PHP_SELF']."?", $hilfeurl, "&amp;ltyp=".$ltyp , $showkey); ?>
 
 </body>