Index: trunk/dokumentation/postNAS_1_Liegenschaftsdaten.txt
===================================================================
--- trunk/dokumentation/postNAS_1_Liegenschaftsdaten.txt	(revision 32)
+++ 	(revision )
@@ -1,114 +1,0 @@
-Entwurf - krz Frank JÃ€ger - Artikel Linux-Magazin - Projekt PostNAS
-
-Stand 11.06.2010
-
-
-Die Werke
-
-Das analog gefÃŒhrte Liegenschaftskataster bestand ÃŒber Jahrzehnte aus folgenden 'Werken':
- - Buchwerk:
-   -- 'Flurbuch', Verzeichnis der FlurstÃŒcke und ihrer Eigenschaften
-   -- 'BestandblÃ€tter', die Angaben aus dem Grundbuch des Amtsgerichtes in Karteiform
- - Kartenwerk: Auf Karton und/oder Folie gezeichnete 'Liegenschaftskarte'
- - Zahlenwerk: 'Vermessungsrisse' (Ã¶rtliche Skizzen), Berechnungen und Koordinaten von Vermessungspunkten
-
-Die DV-Historie
-
-Mit Beginn der Automatisierung in den 1970er Jahren wurden zunÃ€chst die alphanumerischen Informationen der FlurbÃŒcher und der BestandsblÃ€tter digital gespeichert. Das erste Verfahren 'BEDV' basierte noch auf einer linearen Datenbank (indizierte SÃ€tze). Das Nachfolgeverfahren 'ALB' (Automatisierts Liegenschafts Buchwerk) hatte eine hierarchische Datenbankstruktur entsprechend der damaligen GroÃrechner-Technik.
-
-Mit der VerfÃŒgbarkeit grafischer Bildschirme und ausreichend leistungsfÃ€higer Hardware Ende der 1980er Jahren (UNIX, DecVMS) wurde die Digitalisierung der Karte begonnen. Die Software zur 'ALK' (Automatisierte Liegenschafts-Karte) bestand aus dem Bearbeitungsteil 'ALK-GIAP' (Graphisch Interaktiver Arbeitsplatz) und dem zentralen Datenbankteil (ALK-DB) in dem die Vektorinformationen abgelegt wurden. Auch diese Datenbank war hierachisch strukturiert. Die Vermessungspukte aus dem 'Zahlenwerk' des Katasters wurden Teil der ALK, da sie die Basis der Karte bilden.
-
-Geteilt
-
-Aus dieser Chronologie erklÃ€rt sich, dass das Kataster bis vor kurzem in zwei getrennten Verfahren verwaltet wurde. 
-Vom zentralen Objekt des Katasters - dem 'FlurstÃŒck' - fand man die alphanumerisch-beschreibenden Teile im ALB. Das sind Attribute wie Adresse, GrÃ¶Ãe und Nutzung sowie die EigentÃŒmerangaben des Grundbuchs. Die 'Geometrie' (kartografische Darstellung) befand sich dagegen in der ALK: Grenzen, Grenzsteine, GebÃ€ude usw.
-
-FortfÃŒhrungen (Ãnderungen) an einem FlurstÃŒck wie z.B. eine Teilung, mussten synchron in beiden Verfahren geschehen. NatÃŒrlich gab es dadurch auch Redundanzen: Die Hausnummer des ALK-GebÃ€udes traf man wieder als 'Adresse' des FlurstÃŒcks im ALB. Auch jeder Abschnitt eines FlurstÃŒcks mit unterschiedlicher Nutzung hatte eine geometrische FlÃ€che und eine 'BuchflÃ€che'.
-
-Freies GIS
-
-Ein Projekt zur Darstellung der 'ALK mit freier Software' begann 2004. Auf Initiative der CCGIS, einer VorgÃ€ngerfirma der WhereGroup, sollte die ALK in ihrer "amtlichen" Darstellung mit freien GIS-Tools wie dem UMN-Mapserver dargestellt werden. Einige bezweifelten, dass dies mit vertretbarem Aufwand mÃ¶glich wÃ€re. Das Liegenschaftskataster ist schon ein sehr besonderes "GIS" mit Jahrzehnte alten Regeln, die sich in Form von Ausnahmen und Besonderheiten auch in den Programmen manifestiert haben.
-
-ZV-Aut
-
-Mit "amtliche" Darstellung ist die Darstellung nach der "ZV-Aut" gemeint ("Vorschriften fÃŒr das automatisierte Zeichnen der Liegenschaftskarte"). Nur mit strikter Einhaltung dieser amtlichen Darstellung dÃŒrfen Ausdrucke auch fÃŒr offizielle Zwecke wie die Auskunft an BÃŒrger verwendet werden. Der BÃŒrger kann diese amtliche Karte dann fÃŒr einen Bauantrag oder Ã€hnliches verwenden.
-Nur wenn die Einhaltung der ZV-Aut und zahlreiche weitere Bedingungen zu AktualitÃ€t, Sicherheit und VerfÃŒgbarkeit von der Bezirksregierung geprÃŒft wurden, darf die Karte als amtlich verwendet werden. Dies war bis dahin teuren Spezialprogrammen vorbehalten, die nur von wenigen Softwareherstelllern angeboten wurden.
-
-Diese Zeichenvorschrift schreibt noch das Kartenbild der frÃŒheren analogen Arbeitsweise vor, als die Karten mit schwarzer Tusche gezeichnet und durch Lichtpausen reproduziert wurden. Diese Darstellung ist reduziert auf reines Schwarz auf einem weiÃen (bzw. transparenten) Hintergrund. Auf Farben, Raster, Teiltransparenzen oder andere Mittel eines modernen GIS wird verzichtet. Eine Katasterverwaltung rennt eben nicht jedem Trend hinterher.
-
-Kataster meets FOSSGIS
-
-Als CCGIS erkannte, dass GIS-Kenntnissen allein nicht zum Ziel fÃŒhren, wurden sie beim Kommunalen Rechenzentrum in Lemgo fÃŒndig. Dort gab es die notwendigen Kenntnisse der ALK-Strukturen und des EDBS-Formates. Aus Eigenbedarf war dort ein Programm entstanden, das die Schnittstelle "EDBS" in seine Strukturen zerlegt und als lesbaren Text fÃŒr die Analyse darstellt. Dies "EDBS-Tool" stand als Freeware, wenn auch nicht als OpenSource zum Download. Der damalige CCGIS-GeschÃ€ftsfÃŒhrer Arnulf Christel meinte, nun brÃ€uchte man ja nur noch diese Teile der EDBS in eine Datenbank schreiben. Dies stellte sich im Laufe des Projektes als Verharmlosung heraus. Nicht nur die "Redundanzfreiheit" der ALK war sinnvoll umzusetzen sondern auch Linientypen wie "Kreisbogen" oder "Spline" (ausgleichende Kurve ÃŒber StÃŒtzpunkte und Vor-/Nachlaufpunkte) waren durch ausreichend fein interpolierte Polygone zu ersetzen, denn die Welt der OGC ist eckig und nicht rund.
-
-ALK Konverter
-
-Basis des Projektes 'ALK mit freier Software' wurde also der Konverter "edbs2wkt", der das Schnittstellenformat "EDBS" der ALK in eine Spatial-Datenbank ÃŒberfÃŒhrt. Das ist nicht banal, denn die Struktur der ALK passt nicht zu den "Simple Features"-Normen der OGC (Open Geospatial Consortium). Nur OGC-konforme Srukturen sind mit den ÃŒblichen GIS-Werkzeugen performant darzustellen. Die Struktur der ALK basiert jedoch auf der Idee der 'redundanzfreien Geometrie'. Eine Linie ist in der ALK nur einmal gespeichert, auch wenn sie (horizontal) zwei FlÃ€chen rechts und links der Linie trennt und somit zu zwei Objekten eines Layers gehÃ¶rt. Auch wenn die Linie (vertikal) zu weiteren Objekten anderer fachlicher Ebenen (Layer) gehÃ¶rt, ist sie nur einmal gespeichert und somit redundanzfrei im Sinne der ALK. 
-In einer Spatial-DB hat jedoch jedes Objekt 'seine' komplette Geometrie in 'seinem' Geometrie-Datenfeld gespeichert. Es ist irrelevant, ob dabei ein Teil vom Rand der FlÃ€che auch ein Teil vom Rand einer anderen FlÃ€che ist.
-
-Der Konverter "edbs2wkt" wurde als OSS verÃ¶ffentlicht, allerdings von einigen als "nicht wirklich frei" belÃ€chelt, da er auf Grund seiner Historie mit einer Microsoft-Entwicklungsumgebung entwickelt wurde.
-
-Aufbauend auf dieser ALK-GIS-Struktur aus dem Konverter "edbs2wkt" wurden von der CCGIS und dem Katasteramtes der Obergergischen Kreises dann Mapfiles und Symbolbibliotheken fÃŒr den Mapserver entwickelt. Das Ziel der "amtlichen Karte" wurde erreicht. Aber auch alternative, vereinfachte Darstellungen sind mÃ¶glich. Die LÃ¶sung wird inzwischen in ganz Deutschland eingesetzt.
-
-Bezieher
-
-Eine Besonderheit der EDBS-Schnittstelle ist das Verfahren des 'Bezieher SekundÃ€rnachweis' (BZSN). Die abgebende (primÃ€re) Datenbank merkt sich die Ãnderungen am Bestand seit der letzten Abgabe. Es werden dann periodisch Differenzdaten fÃŒr einen speziellen Bezieher (sekundÃ€re Datenbank) ausgegeben, die vom Konverter eingepflegt werden. Nur damit ist bei groÃen SekundÃ€rbestÃ€nden eine ausreichende AktualitÃ€t mÃ¶glich. Eine immer wieder kehrende komplette Konvertierung des Gesamtbestandes wÃ€re auf beiden Seiten zu aufwÃ€ndig. 
-
-ALKIS
-
-Mit der Umstellung von "ALB" und "ALK" nach "ALKIS" wird die unschÃ¶ne Trennung des Liegenschaftskatasters in zwei Verfahren beseitigt. Es wurde versprochen, bei ALKIS - anders als bei ALK und ALB - mehr auf gÃ€ngige Standards zu setzen, z.B. auf "XML" beim Datenaustausch.
-
-ALKIS wurde ÃŒber viele Jahre geplant und entwickelt. Die EinfÃŒhrung wurde oft veschoben, aber nun wird es ernst: Einige Kreise und BundeslÃ€nder haben schon umgestellt, andere werden in KÃŒrze folgen. FÃŒr die Komponenten des Projektes "ALK mit freier Software" wird also dringend ein Ersatz benÃ¶tigt.
-Sobald die KatasterÃ€mter kein EDBS mehr liefern sondern das neue ALKIS-Schnittstellenformat "NAS" (Normbasierte Austausch-Schnittstelle) sollte der Ersatz produktionsreif bereit stehen. Einige haben das bereits vor Jahren erkannt und die Entwicklung einer freien Alternative voran getrieben. Der Rest wartet ab und hofft darauf, dass beim ALKIS-Start eine LÃ¶sung bereit stehen wird. 
-
-ALKIS-Konverter
-
-Als erstes wird wieder ein Konverter benÃ¶tigt. Die Verpackung in das Standard-Format 'XML' statt 'EDBS' sollte nicht darÃŒber hinweg tÃ€uschen, dass ALKIS noch Ã€hnliche Strukturen hat wie die ALK, diesmal noch angereichert mit den Attributen des Buchwerks 'ALB'. Die DateigrÃ¶Ãen von NAS haben sich gegenÃŒber der EDBS vervielfacht. WÃ€hrend EDBS dicht gepackt pure Informationen enthielt, brauchen nun die spitzen Klammern der XML-Tags ihren Platz. Sie sind angefÃŒllt mit Namen wie "ax_BauwerkOderAnlageFuerSportFreizeitUndErholung" oder "ax_SonstigesBauwerkOderSonstigeEinrichtung".
-
-Der neue Konverter heiÃt "PostNAS". Der anfangs geplante Name "OpenNAS" war bereits belegt, da 'NAS' auch das KÃŒrzel von 'Network Attached Storage' ist. Diesmal soll es ein 'wirklich freies' Projekt werden, das BetriebssystemunabhÃ€ngig einsatzfÃ€hig ist. Da es jedoch schwierig war, die Anschubfinanzierung zusammen zu bekommen, musste zunÃ€chst eine Beteilungungsform in einer geschlossenen Gruppe von Pilotanwendern gewÃ€hlt werden. 
-
-Fast Fertig
-
-Seit der Version 0.5 steht eine stabile PostNAS zur VerfÃŒgung, die nun sowohl das Kartenwerk als auch das Buchwerk vollstÃ€ndig umsetzt. Auch die Pflege eines SekundÃ€rbestandes ÃŒber einen "Bezieher" ist seit PostNAS 0.5 mÃ¶glich. Das ist umso wichtiger, als die Verarbeitungszeiten gegenÃŒber EDBS deutlich lÃ€nger geworden sind. Der Bezieher heiÃt nun nicht mehr 'BZSN' sondern 'NBA' (Nutzerbezogene Bestandsdaten-Aktualisierung).
-Innerhalb des Buchwerks gibt es zahlreiche rechtliche Beziehungen zwischen den Objekten aus dem Grundbuch:
- - FlurstÃŒck ist gebucht auf Buchungsstelle (GrundstÃŒck)
- - Buchungsstelle gehÃ¶rt zu Grndbuchblatt
- - Buchungsstelle hat Recht an anderer Buchungsstelle (Erbpacht, Eigentumswohnung)
-usw.
-In der Datenbank werden die Beziehungen nicht als direkte Relationen zwischen den Tabellen modelliert sondern fÃŒr jede dieser Beziehungen wird die zentrale Tabelle fÃŒr 'alkis_beziehungen' dazwischen geschaltet. Jede dieser Realationen enthÃ€lt noch ein 'Verb' wie 'istBestandteilVon' oder 'istGebucht'.
-Damit verdoppelt sich allerdings die Anzahl von JOINS in SQL-Views. Dies fÃŒhrt zu lÃ€ngeren Antwortzeiten auch bei der Auswertung. 
-
-ALKIS amtlich
-
-Die AnsprÃŒche an die "Amtlichkeit" haben sich gegenÃŒber ALK und ALB noch erhÃ¶ht. Eine Vielzahl von "ALKIS-Produkten" wird in ihrer Form genau vorgeschrieben. Wieder einmal sieht es so aus, als wenn diese "amtlichen" ALKIS-Produkte mit freier Software nicht mit vertretbarem Aufwand realisiert werden kÃ¶nnen. Aber schaun wir mal ... 
-
-ALKIS light
-
-Selbst wenn das so sein sollte, gibt es doch fÃŒr ein freies ALKIS-GIS ein breites Anwendungsgebiet. Es zeichnet sich ab, dass auch die amtlichen ALKIS-Produkte nicht direkt aus der primÃ€ren Datenhaltung erzeugt werden kÃ¶nnen. Dort blockieren Langzeit-Transaktionen fÃŒr erfasste, plausibilisierte und simulierte, aber noch nicht freigegebene FortfÃŒhrungen eine performante Benutzung.
-Daher wird schon innerhalb einer ALKIS-Datenhaltung ÃŒber 'Bezieher'-Funktionen eine sekundÃ€re Datenbank aufgebaut, die als Basis fÃŒr die 'amtlichen' AuskÃŒnfte dient. Die notwendige TagesaktualitÃ€t steht im Widerspruch zu den Verarbeitungszeiten beim Erstladen, die sich eher in Wochen messen. Es zeichnet sich ein Problem im Produktionsbetrieb ab, falls der sekundÃ€ren ALKIS-Datenbank mal etwas zustoÃen sollte, und ein neuer Aufbau notwendig wird.    
-Auch in der sekundÃ€ren Datenbank sind die Antwortzeiten von 'amtlichen AuskÃŒnften' nicht so gut wie in einem optimierten GIS-Umfeld. Das Design der primÃ€ren und sekundÃ€ren DB ist identisch und eher auf Sicherheit der Datenhaltung ausgelegt als auf Geschwindigkeit.
-
-Dritte Stufe   
-
-Es gibt also selbst innerhalb einer Katasterverwaltung den Bedarf, fÃŒr eine 'tertiÃ€re' Datenhaltung in einem GIS-Format mit der schnelle Suche und Navigation, 'einfache' AuskÃŒnfte und eine ALKIS-Hintergrundkarte fÃŒr andere Karten mÃ¶glich sind. Das schnelle GIS kann als Vorschau fÃŒr die Suche dienen. Erst im Ergebnis wird in das amtliche Auskunftsystem verlinkt, das dadurch entlastet wird.
-
-Die Hauptnutzer von PostNAS werden aber wohl StÃ€dte, Gemeinden und VerbÃ€nde sein, die unabhÃ€ngig vom Kataster einen eigenen Bestand fÃŒr die genannten Zwecke aufbauen mÃ¶chten.
-
-Die Karte
-
-Die Kartendarstelung in ALKIS ist dezent bunter geworden, man erkennt aber deutlich die Abstammung aus der ALK.
-Durch Abschalten der farbigen FlÃ€chen bekommt man die gewohnte Strichzeichnung der Grenzen, die sich gut mit anderen Karten kombinieren lÃ€sst. Diese Kombination der Datenlayer beantwortet fragen wie: Liegt der Kanal im stÃ€dtischen oder im privaten GrundstÃŒck? Wem gehÃ¶rt der schiefe Baum?
-
-Das Buch
-
-Die Auskunft aus dem Buchwerk startet oft durch einen Klick in die Karte mit dem das FlurstÃŒck rÃ€umlich identifiziert wird. Der oft genannte Anspruch an eine Auskunft ist: "Ich mÃ¶chte nur kurz wissen, wer DER EigentÃŒmer DES FlurstÃŒcks ist".
-FÃŒr viele FÃ€lle kann das so einfach beantwortet werden, aber aufgrund komplizierter RechtsverhÃ€ltnisse kann die Antwort auch deutlich lÃ€nger ausfallen.
-Auch eine 'einfache' Auskunft muss dabei alle Rechtsbeziehungen des Grundbuchs korrekt darstellen. Das 'einfach' bezieht sich hier nur auf die Form. Es wird eine HTML-Ausgabe erzeugt, die in verschiedenen Browsern oder auf verschiedenen Druckern zu unterschiedlicher Darstellung fÃŒhren kann. Die 'amtliche' Darstellung ist jedoch auf die Ausgabe von 'unverÃ€nderlichen' PDF-Dokumenten angewiesen.
-
-Die EigentÃŒmer
-
-Die Beziehungen im Grundbuch kÃ¶nnten zum Beispiel so aussehen: Das abzufragende FlurstÃŒck ist eins von mehreren FlurstÃŒcken in einem GrundstÃŒck (Buchungsstelle). Mehrere GrundbuchblÃ€tter haben Rechte an diesem GrundstÃŒck wie zum Beispiel ein Erbaurecht oder einen Anteil an den GrundstÃŒck verbunden mit einer Eigentumswohnung. Auf jedem dieser GrundbÃŒchern kÃ¶nnen wieder mehrere Personen als EigentÃŒmer eingetragen sein. Ein nicht seltener Fall: Ein Ehepartner hat 1/2 Anteil an dem Grundbuch. Der andere Ehepartner ist verstorben und die Kinder halten gemeinsam die andere HÃ€lfte in der Rechtsform einer Erbengemeinschaft.
-
-Die Frage nach DEM EigentÃŒmer kann also in einigen FÃ€llen eine lange Liste mit Personen hervorbringen, die auch von 'einfachen' AuskÃŒnften vollstÃ€ndig beantwortet werden muss.   
-
-Programme fÃŒr derartige AuskÃŒnfte sind in der Entwicklung und mÃŒssen ebenfalls beim Produktionsstart von ALKIS als Ersatz fÃŒr die bisher verwendeten ALK/ALB-Programme einsatzbereit sein.
-