Index: /trunk/data/konvert/postnas_0.5/alkis_gemeinden_laden.sql
===================================================================
--- /trunk/data/konvert/postnas_0.5/alkis_gemeinden_laden.sql	(revision 55)
+++ /trunk/data/konvert/postnas_0.5/alkis_gemeinden_laden.sql	(revision 55)
@@ -0,0 +1,60 @@
+
+-- ALKIS PostNAS 0.5
+
+-- =======================================================
+-- Tabelle fuer die Zuordnung vom Gemarkungen zu Gemeinden
+-- =======================================================
+
+-- Für die Regelung der Zugriffsberechtigung einer Gemeindeverwaltung auf die 
+-- Flurstücke in ihrem Gebiet braucht man die Information, in welcher Gemeinde eine Gemarkung liegt.
+-- 'ax_gemeinde' und 'ax_gemarkung' haben aber im ALKIS keinerlei Beziehung zueinander - kaum zu glauben!
+-- Nur über die Auswertung der Flurstücke kann man die Zuordnung ermitteln.
+-- Da nicht ständig mit 'SELECT DISTINCT' sämtliche Flurstücke durchsucht werden können, 
+-- muss diese Information als (redundante) Tabelle nach dem Laden zwischengespeichert werden. 
+
+
+-- Teil 2: Laden der Tabelle
+
+-- Stand 
+--  2010-11-25  
+
+
+SET client_encoding = 'UTF-8';
+
+-- Alles auf Anfang!
+
+ DELETE FROM gemeinde_gemarkung;
+
+
+-- Vorkommende Paarungen in Flurstücke
+INSERT INTO gemeinde_gemarkung
+  (               land, regierungsbezirk, kreis, gemeinde, gemarkung       )
+  SELECT DISTINCT land, regierungsbezirk, kreis, gemeinde, gemarkungsnummer
+  FROM            ax_flurstueck
+  ORDER BY        land, regierungsbezirk, kreis, gemeinde, gemarkungsnummer 
+;
+
+
+-- Namen der Gemeinde dazu als Optimierung bei der Auskunft 
+UPDATE gemeinde_gemarkung a
+   SET gemeindename =
+   ( SELECT b.bezeichnung 
+     FROM    ax_gemeinde b
+     WHERE a.land=b.land 
+       AND a.regierungsbezirk=b.regierungsbezirk 
+       AND a.kreis=b.kreis
+       AND a.gemeinde=b.gemeinde
+   );
+ 
+ 
+-- Namen der Gemarkung dazu als Optimierung bei der Auskunft 
+UPDATE gemeinde_gemarkung a
+   SET gemarkungsname =
+   ( SELECT b.bezeichnung 
+     FROM    ax_gemarkung b
+     WHERE a.land=b.land 
+       AND a.gemarkung=b.gemarkungsnummer
+   );
+
+
+-- ENDE --
Index: /trunk/data/konvert/postnas_0.5/alkis_gemeinden_definition.sql
===================================================================
--- /trunk/data/konvert/postnas_0.5/alkis_gemeinden_definition.sql	(revision 55)
+++ /trunk/data/konvert/postnas_0.5/alkis_gemeinden_definition.sql	(revision 55)
@@ -0,0 +1,45 @@
+
+-- ALKIS PostNAS 0.5
+
+-- =======================================================
+-- Tabelle fuer die Zuordnung vom Gemarkungen zu Gemeinden
+-- =======================================================
+
+-- Für die Regelung der Zugriffsberechtigung einer Gemeindeverwaltung auf die 
+-- Flurstücke in ihrem Gebiet braucht man die Information, in welcher Gemeinde eine Gemarkung liegt.
+-- 'ax_gemeinde' und 'ax_gemarkung' haben aber im ALKIS keinerlei Beziehung zueinander - kaum zu glauben!
+-- Nur über die Auswertung der Flurstücke kann man die Zuordnung ermitteln.
+-- Da nicht ständig mit 'SELECT DISTINCT' sämtliche Flurstücke durchsucht werden können, 
+-- muss diese Information als (redundante) Tabelle nach dem Laden zwischengespeichert werden. 
+
+
+-- Teil 1: Anlegen der Tabelle
+
+-- Stand 
+--  2010-11-25  
+
+
+SET client_encoding = 'UTF-8';
+
+-- Alles auf Anfang!
+
+DROP TABLE gemeinde_gemarkung;
+
+CREATE TABLE gemeinde_gemarkung (
+  land 			integer,
+  regierungsbezirk	integer,
+  kreis			integer,
+  gemeinde		integer,
+  gemarkung		integer NOT NULL,
+  gemeindename		character varying(80), 
+  gemarkungsname	character varying(80), 
+  gkz			character varying(3),  
+  CONSTRAINT gemeinde_gemarkung_pk PRIMARY KEY (land, gemarkung)
+);
+
+
+COMMENT ON TABLE  gemeinde_gemarkung                IS 'Beziehung: Gemarkung liegt in Gemeinde';
+COMMENT ON COLUMN gemeinde_gemarkung.gemeinde       IS 'Gemeindenummer';
+COMMENT ON COLUMN gemeinde_gemarkung.gemarkung      IS 'Gemarkungsnummer';
+
+COMMENT ON COLUMN gemeinde_gemarkung.gkz            IS 'Gemeindekennziffer für Mandant';